#include <iostream>

using namespace std;

int main()
{
    string c;
    cin >> c;
    int a1, a2;
    cin >> a1 >> a2;
    if(a1 == a2){
        for(int i = 0; i < a1; i++)
            cout << c;
    }
    else if(a1 == a2 + 1){
        for(int i = 0; i < a2; i++)
            cout << c;
        cout << c[0];
    }
    else if(a2 == a1 + 1){
        cout << c[1];
        for(int i = 0; i < a1; i++)
            cout << c;
    }
    else
        cout << "nemoguce";
    return 0;
}